xmonad-contrib-0.13: Third party extensions for xmonad

Copyright | (C) 2007 Andrea Rossato, David Roundy
License | BSD3
Maintainer | Stability : unstable
Portability | unportable
Safe Haskell | None
Language | Haskell98

XMonad.Prompt.Layout

Contents

- Usage

Description

A layout-selection prompt for XMonad

Synopsis

- layoutPrompt :: XPConfig -> X ()

# Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

    import XMonad.Prompt
    import XMonad.Prompt.Layout

      , ((modm .|. shiftMask, xK_m     ), layoutPrompt def)

For detailed instruction on editing the key binding see XMonad.Doc.Extending.

WARNING: This prompt won't display all possible layouts, because the code to enable this was rejected from xmonad core. It only displays layouts that are actually in use. Also, you can only select layouts if you are using NewSelect, rather than the Select defined in xmonad core (which doesn't have this feature). So all in all, this module is really more a proof-of-principle than something you can actually use productively.

layoutPrompt :: XPConfig -> X () #